// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		5ECC5C8D215D0F0900A583E1 /* AppDelegate.m in Sources */ = {isa = PBXBuildFile; fileRef = 5ECC5C8C215D0F0900A583E1 /* AppDelegate.m */; };
		5ECC5C90215D0F0900A583E1 /* ViewController.m in Sources */ = {isa = PBXBuildFile; fileRef = 5ECC5C8F215D0F0900A583E1 /* ViewController.m */; };
		5ECC5C93215D0F0900A583E1 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 5ECC5C91215D0F0900A583E1 /* Main.storyboard */; };
		5ECC5C95215D0F0A00A583E1 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 5ECC5C94215D0F0A00A583E1 /* Assets.xcassets */; };
		5ECC5C98215D0F0A00A583E1 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 5ECC5C96215D0F0A00A583E1 /* LaunchScreen.storyboard */; };
		5ECC5C9B215D0F0A00A583E1 /* main.m in Sources */ = {isa = PBXBuildFile; fileRef = 5ECC5C9A215D0F0A00A583E1 /* main.m */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		5ECC5C88215D0F0900A583E1 /* assignment.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = assignment.app; sourceTree = BUILT_PRODUCTS_DIR; };
		5ECC5C8B215D0F0900A583E1 /* AppDelegate.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = AppDelegate.h; sourceTree = "<group>"; };
		5ECC5C8C215D0F0900A583E1 /* AppDelegate.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = AppDelegate.m; sourceTree = "<group>"; };
		5ECC5C8E215D0F0900A583E1 /* ViewController.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ViewController.h; sourceTree = "<group>"; };
		5ECC5C8F215D0F0900A583E1 /* ViewController.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = ViewController.m; sourceTree = "<group>"; };
		5ECC5C92215D0F0900A583E1 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		5ECC5C94215D0F0A00A583E1 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		5ECC5C97215D0F0A00A583E1 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		5ECC5C99215D0F0A00A583E1 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		5ECC5C9A215D0F0A00A583E1 /* main.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = main.m; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		5ECC5C85215D0F0900A583E1 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		5ECC5C7F215D0F0900A583E1 = {
			isa = PBXGroup;
			children = (
				5ECC5C8A215D0F0900A583E1 /* assignment */,
				5ECC5C89215D0F0900A583E1 /* Products */,
			);
			sourceTree = "<group>";
		};
		5ECC5C89215D0F0900A583E1 /* Products */ = {
			isa = PBXGroup;
			children = (
				5ECC5C88215D0F0900A583E1 /* assignment.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		5ECC5C8A215D0F0900A583E1 /* assignment */ = {
			isa = PBXGroup;
			children = (
				5ECC5C8B215D0F0900A583E1 /* AppDelegate.h */,
				5ECC5C8C215D0F0900A583E1 /* AppDelegate.m */,
				5ECC5C8E215D0F0900A583E1 /* ViewController.h */,
				5ECC5C8F215D0F0900A583E1 /* ViewController.m */,
				5ECC5C91215D0F0900A583E1 /* Main.storyboard */,
				5ECC5C94215D0F0A00A583E1 /* Assets.xcassets */,
				5ECC5C96215D0F0A00A583E1 /* LaunchScreen.storyboard */,
				5ECC5C99215D0F0A00A583E1 /* Info.plist */,
				5ECC5C9A215D0F0A00A583E1 /* main.m */,
			);
			path = assignment;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		5ECC5C87215D0F0900A583E1 /* assignment */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 5ECC5C9E215D0F0A00A583E1 /* Build configuration list for PBXNativeTarget "assignment" */;
			buildPhases = (
				5ECC5C84215D0F0900A583E1 /* Sources */,
				5ECC5C85215D0F0900A583E1 /* Frameworks */,
				5ECC5C86215D0F0900A583E1 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = assignment;
			productName = assignment;
			productReference = 5ECC5C88215D0F0900A583E1 /* assignment.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		5ECC5C80215D0F0900A583E1 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 1000;
				ORGANIZATIONNAME = Devin;
				TargetAttributes = {
					5ECC5C87215D0F0900A583E1 = {
						CreatedOnToolsVersion = 10.0;
					};
				};
			};
			buildConfigurationList = 5ECC5C83215D0F0900A583E1 /* Build configuration list for PBXProject "assignment" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 5ECC5C7F215D0F0900A583E1;
			productRefGroup = 5ECC5C89215D0F0900A583E1 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				5ECC5C87215D0F0900A583E1 /* assignment */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		5ECC5C86215D0F0900A583E1 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5ECC5C98215D0F0A00A583E1 /* LaunchScreen.storyboard in Resources */,
				5ECC5C95215D0F0A00A583E1 /* Assets.xcassets in Resources */,
				5ECC5C93215D0F0900A583E1 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		5ECC5C84215D0F0900A583E1 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5ECC5C90215D0F0900A583E1 /* ViewController.m in Sources */,
				5ECC5C9B215D0F0A00A583E1 /* main.m in Sources */,
				5ECC5C8D215D0F0900A583E1 /* AppDelegate.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		5ECC5C91215D0F0900A583E1 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				5ECC5C92215D0F0900A583E1 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		5ECC5C96215D0F0A00A583E1 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				5ECC5C97215D0F0A00A583E1 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		5ECC5C9C215D0F0A00A583E1 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
			};
			name = Debug;
		};
		5ECC5C9D215D0F0A00A583E1 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		5ECC5C9F215D0F0A00A583E1 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = assignment/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = dfcm15.assignment;
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		5ECC5CA0215D0F0A00A583E1 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = assignment/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = dfcm15.assignment;
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		5ECC5C83215D0F0900A583E1 /* Build configuration list for PBXProject "assignment" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5ECC5C9C215D0F0A00A583E1 /* Debug */,
				5ECC5C9D215D0F0A00A583E1 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		5ECC5C9E215D0F0A00A583E1 /* Build configuration list for PBXNativeTarget "assignment" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5ECC5C9F215D0F0A00A583E1 /* Debug */,
				5ECC5CA0215D0F0A00A583E1 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 5ECC5C80215D0F0900A583E1 /* Project object */;
}
